if [ -z "$deployment" ]; then
  echo "deployment is not set"
  exit 1
fi
if [ -z "$namespace" ]; then
  echo "namespace is not set"
  exit 1
fi
if [ -z "$image_tag" ]; then
  echo "image_tag is not set"
  exit 1
fi
if { [ "$deployment" = "dev" ] || [ "$deployment" = "test" ] }; then
    ingress_host=finance-dbt-doc.${deployment}.mujiannan.com
else
    ingress_host=finance-dbt-doc.mujiannan.com
fi
envsubst < Deploy.yml | kubectl apply -f -